# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import dbs
from south.v2 import SchemaMigration
from django.db import models

db = dbs["pubdb"]

class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'Client'
        db.create_table(u'pubdb_client', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('client_handle', self.gf('django.db.models.fields.CharField')(unique=True, max_length=255)),
            ('base_uri', self.gf('django.db.models.fields.TextField')()),
            ('bpki_cert', self.gf('rpki.fields.BlobField')(default=None, blank=True)),
            ('bpki_glue', self.gf('rpki.fields.BlobField')(default=None, null=True, blank=True)),
            ('last_cms_timestamp', self.gf('rpki.fields.SundialField')(null=True, blank=True)),
        ))
        db.send_create_signal(u'pubdb', ['Client'])


    def backwards(self, orm):
        # Deleting model 'Client'
        db.delete_table(u'pubdb_client')


    models = {
        u'pubdb.client': {
            'Meta': {'object_name': 'Client'},
            'base_uri': ('django.db.models.fields.TextField', [], {}),
            'bpki_cert': ('rpki.fields.BlobField', [], {'default': 'None', 'blank': 'True'}),
            'bpki_glue': ('rpki.fields.BlobField', [], {'default': 'None', 'null': 'True', 'blank': 'True'}),
            'client_handle': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_cms_timestamp': ('rpki.fields.SundialField', [], {'null': 'True', 'blank': 'True'})
        }
    }

    complete_apps = ['pubdb']
